<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddIpPhoneServicesReq StructType
 * @subpackage Structs
 */
class AddIpPhoneServicesReq extends APIRequest
{
    /**
     * The ipPhoneServices
     * @var XIpPhoneServices
     */
    public $ipPhoneServices;
    /**
     * Constructor method for AddIpPhoneServicesReq
     * @uses AddIpPhoneServicesReq::setIpPhoneServices()
     * @param XIpPhoneServices $ipPhoneServices
     */
    public function __construct(XIpPhoneServices $ipPhoneServices = null)
    {
        $this
            ->setIpPhoneServices($ipPhoneServices);
    }
    /**
     * Get ipPhoneServices value
     * @return XIpPhoneServices|null
     */
    public function getIpPhoneServices()
    {
        return $this->ipPhoneServices;
    }
    /**
     * Set ipPhoneServices value
     * @param XIpPhoneServices $ipPhoneServices
     * @return AddIpPhoneServicesReq
     */
    public function setIpPhoneServices(XIpPhoneServices $ipPhoneServices = null)
    {
        $this->ipPhoneServices = $ipPhoneServices;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddIpPhoneServicesReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
